
From: Anton Blanchard <anton@samba.org

print useful flags in oops, like x86


---

 arch/ppc64/kernel/traps.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+)

diff -puN arch/ppc64/kernel/traps.c~ppc64-oops-flags arch/ppc64/kernel/traps.c
--- 25/arch/ppc64/kernel/traps.c~ppc64-oops-flags	2004-02-21 20:58:19.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/traps.c	2004-02-21 20:58:19.000000000 -0800
@@ -70,11 +70,30 @@ static spinlock_t die_lock = SPIN_LOCK_U
 void die(const char *str, struct pt_regs *regs, long err)
 {
 	static int die_counter;
+	int nl = 0;
 
 	console_verbose();
 	spin_lock_irq(&die_lock);
 	bust_spinlocks(1);
 	printk("Oops: %s, sig: %ld [#%d]\n", str, err, ++die_counter);
+#ifdef CONFIG_PREEMPT
+	printk("PREEMPT ");
+	nl = 1;
+#endif
+#ifdef CONFIG_SMP
+	printk("SMP NR_CPUS=%d", NR_CPUS);
+	nl = 1;
+#endif
+#ifdef CONFIG_DEBUG_PAGEALLOC
+	printk("DEBUG_PAGEALLOC");
+	nl = 1;
+#endif
+#ifdef CONFIG_NUMA
+	printk("NUMA");
+	nl = 1;
+#endif
+	if (nl)
+		printk("\n");
 	show_regs(regs);
 	bust_spinlocks(0);
 	spin_unlock_irq(&die_lock);

_
